Get users
curl --request GET \
--url https://api.gcore.com/iam/users \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/iam/users"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/iam/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"email": "jsmith@example.com",
"name": "<string>",
"phone": "<string>",
"company": "<string>",
"reseller": 123,
"client": 123,
"deleted": true,
"groups": [
{
"id": 1,
"name": "Administrators"
}
],
"activated": true,
"sso_auth": true,
"two_fa": true,
"auth_types": [],
"is_active": true,
"client_and_roles": [
{
"client_id": 123,
"client_company_name": "<string>",
"user_roles": [
"2"
],
"user_id": 123
}
]
}
],
"next": "/users?offset=20&limit=10",
"previous": "/users?offset=10&limit=10"
}Users
Get users
Get a list of users.
Pass a value for the limit parameter in your request if you want retrieve a paginated result.
Otherwise API returns a list with all users without pagination.
GET
/
iam
/
users
Get users
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
The maximum number of items.
Offset relative to the beginning of list.
Was this page helpful?
⌘I